# Uses of Class
org.eclipse.jdt.core.dom.AnnotationTypeDeclaration

Packages that use AnnotationTypeDeclaration
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of AnnotationTypeDeclaration in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return AnnotationTypeDeclaration
Modifier and Type
Method
Description
`AnnotationTypeDeclaration`
AST.`newAnnotationTypeDeclaration()`
Creates and returns a new unparented annotation type declaration node for an unspecified, but legal, name; no modifiers; no javadoc; and an empty list of member declarations.
Methods in org.eclipse.jdt.core.dom with parameters of type AnnotationTypeDeclaration
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(AnnotationTypeDeclaration node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(AnnotationTypeDeclaration node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(AnnotationTypeDeclaration node)`
Visits the given type-specific AST node.